Spiff Webhook API

PUT webhookPutSingleRecord

PUT /mapping/{mapping_id}

Operation ID: webhookPutSingleRecord.

Upserts an individual record from a third-party data source.

Parameters

  • subdomain (path, string, required)

    The subdomain for your Spiff environment.

    • If you're in the US, use us1.
    • If you're in the EU, use eu1.

    Example

    us1
  • mapping_id (path, string, required)

    ID of an object that the webhook maps from the third-party data source in Spiff.

    To find this ID, go to Data Sources » Synced Objects and Fields in Spiff, scroll to the Webhook connector, and select a mapping. The ID is visible under the mapping name.

  • company_uuid (query, string (guid))

    Unique identifier for your company in Spiff. This query parameter is optional. We recommend including it with every request.

    To find this value, go to Admin » Settings » Company Settings in Spiff and copy the Company UUID at the top of the page.

    Example

    e3804275-aba4-4581-ac23-5b195b1a5f52
  • signature (header, string, required) HMAC-SHA256 cryptographic hash of the current time, the request body, and the webhook secret that you generate in Spiff. The signature format is t={timestamp},v1={digest}, where {timestamp} is a UTC epoch timestamp and {digest} is a string representation of the HMAC-SHA256 digest. See Get Started with Salesforce Spiff Webhook API.
    Example: t=1750092638,v1=d79efcece486e8de2f0384b9b07f2af6cd5859685489f6c1fd71be.

Request body

Media type: application/json. Schema: object.

Example: user_example user

{
  "external_id": "12345",
  "name": "Jane Doe",
  "email": "jane.doe@company.com"
}

Responses

  • 200 The request was successful.

    Media type: application/json. Schema: object.

    • ok (boolean)
      Example: true.
  • 400

    The request was unsuccessful for one of these reasons:

  • 401 The request was unsuccessful because the HMAC-SHA256 signature is invalid.
  • 422 The request was unsuccessful because the record's primary key (external_id) isn't unique or the record contains incorrectly formatted data.